eoEvalFuncCounter(3)

NAME
eoEvalFuncCounter - Counts the number of evaluations actually performed, thus checks first if it has to evaluate..

SYNOPSIS

#include <eoEvalFuncCounter.h>

Inherits eoEvalFunc< EOT >< EOT >, and eoValueParam< unsigned long >.

  Public Member Functions
eoEvalFuncCounter (eoEvalFunc< EOT > &_func, std::string _name='Eval. ')
virtual void operator() (EOT &_eo)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoEvalFunc< EOT > & func

Detailed Description

  template<class EOT> class eoEvalFuncCounter< EOT >
Counts the number of evaluations actually performed, thus checks first if it has to evaluate.. etc.

Definition at line 37 of file eoEvalFuncCounter.h.

Author

Generated automatically by Doxygen for EO from the source code.